#!/bin/sh

[ -f patch.sh ] || { echo "error: please cd to MonitorPatch_r1 first"; exit 1; }

echo "creating a copy of JavaMonitor.woa in `pwd`"
cp -r /System/Library/WebObjects/JavaApplications/JavaMonitor.woa .

echo "adding images"
cp files/ArrowUp.gif JavaMonitor.woa/Contents/WebServerResources/
cp files/ArrowDown.gif JavaMonitor.woa/Contents/WebServerResources/

echo "patching the jar"
mkdir monitorjar
cd monitorjar
jar -xf ../JavaMonitor.woa/Contents/Resources/Java/javamonitor.jar
cd ..
cp files/DirectAction.class monitorjar/
cp files/DirectAction\$DirectActionException.class monitorjar/
cp files/MPApplicationsPage.class monitorjar/
jar -cf JavaMonitor.woa/Contents/Resources/Java/javamonitor.jar -C monitorjar/ .
rm -r monitorjar

echo "patching components"
patch -p0 <files/MonitorPatch.diff

echo "done"
echo
echo "you can find the patched version of JavaMonitor in the current directory (`pwd`/JavaMonitor.woa)"
echo
echo "if you plan on copying it to /System/Library/WebObjects/JavaApplications/, make a backup of the orignal JavaMonitor first"
echo
echo "on every machine where you're planning to run the patched Monitor, you might need to 'cp JavaMonitor.woa/Contents/WebServerResources/Arrow*.gif /Library/WebServer/Documents/WebObjects/JavaMonitor.woa/Contents/WebServerResources'"